from django.http import HttpResponse
from django.shortcuts import render,redirect
from .models import Notice
from django.utils import timezone
import logging
from polls.forms import NoticeForm

# Create your views here.
logger = None
def initLogger():
    global logger
    if logger == None:
        logger = logging.getLogger('django.db.backends')
        logger.setLevel(logging.DEBUG)
        logger.addHandler(logging.StreamHandler())

def delate(request, deleteId=None):
    if deleteId !=None:
        delNotice = Notice.objects.get(id=deleteId)
        if delNotice != None:
            delNotice.delete()
    return redirect ('index')

def index(request):
    notices = Notice.objects.all()
    notices = notices.filter(pub_start__lte=timezone.now())
    notices = notices.filter(pub_end__gte=timezone.now())
    #context = {"notices" : notices}
    return render(request, 'polls/notice.html',{"notices" : notices})

#def new(request):
 #   return render(request, 'polls/edit.html')
def new(request):
    if request.method == "POST":
        form = NoticeForm(request.POST)
        if form.is_valid():
            newNotice = Notice(notice_title=form.cleaned_data['title'],
                       notice_text=form.cleaned_data['text'],
                       pub_start=form.cleaned_data['start'],
                       pub_end=form.cleaned_data['end'])
            newNotice.save()
            return redirect('index')
    context = {'form': NoticeForm()}
    return render(request, 'polls/edit.html', context)

def delete(request, deleteId = None):
    if deleteId != None:
        delNotice = Notice.objects.get(id=deleteId)
        if delNotice != None:
            delNotice.delete()
    return redirect('index')

def welcome_seite(request):
    return render(request, 'polls/index.html')

def about_seite(request):
    return render(request, 'polls/about.html')